Requires Mac OS X v10.5.8 or later?

Discussion in 'iPod touch' started by kurtisboyd, Sep 3, 2010.

  1. kurtisboyd

    kurtisboyd Member

    Joined:
    Oct 20, 2007
    Messages:
    610
    Likes Received:
    7
    Device:
    iPhone 4 (Black)
    Apparently the new iPod touch requires Mac OS X v10.5.8 or later. I only have OS X v10.4.11. Will I have to upgrade my computer before I can use the iPod touch when I buy it?
  2. XxRedRumxX

    XxRedRumxX Well-Known Member

    Joined:
    Dec 18, 2009
    Messages:
    6,666
    Likes Received:
    1,079
    Device:
    Samsung Galaxy Nexus
    yes. you will
    (or if you can) then upgrade the os. (unless your computer is unsupported)
  3. bstevenhaagen

    bstevenhaagen Well-Known Member

    Joined:
    Aug 13, 2010
    Messages:
    1,633
    Likes Received:
    125
    Device:
    iPhone 5 (Black)
    It looks like it. You might not have to upgrade the computer....just upgrade the OS (if your hardware supports it). I think it's $29 for an upgrade.
  4. Lux2GS

    Lux2GS Well-Known Member

    Joined:
    Jul 1, 2010
    Messages:
    3,678
    Likes Received:
    138
    Device:
    iPhone 4S (Black)
    See, that is why I hate Apple's tricks. They always try to make you Update or Buy something. YOu gotta upgrade you Mac, or just get Windows and Bootcamp.
  5. 2fast4u5

    2fast4u5 Active Member

    Joined:
    Apr 14, 2010
    Messages:
    1,213
    Likes Received:
    5
    Device:
    4G iPod touch
    Wait... What?!?! You can't use it on Windows?

    Please Register or Log in to view images

  6. XxRedRumxX

    XxRedRumxX Well-Known Member

    Joined:
    Dec 18, 2009
    Messages:
    6,666
    Likes Received:
    1,079
    Device:
    Samsung Galaxy Nexus
    yes you can if you checked the specs on apples website
    were just talking about using it on a mac
  7. Lux2GS

    Lux2GS Well-Known Member

    Joined:
    Jul 1, 2010
    Messages:
    3,678
    Likes Received:
    138
    Device:
    iPhone 4S (Black)
    It supports Windows. XP SP3 minimum

    Please Register or Log in to view images

    - I have 7 so I will be able to use it.
  8. 2fast4u5

    2fast4u5 Active Member

    Joined:
    Apr 14, 2010
    Messages:
    1,213
    Likes Received:
    5
    Device:
    4G iPod touch
    Ohhhh THANK GOD lol. Thanks. I'll install SP3 the day I get it. Thank you!

    Please Register or Log in to view images

  9. Lux2GS

    Lux2GS Well-Known Member

    Joined:
    Jul 1, 2010
    Messages:
    3,678
    Likes Received:
    138
    Device:
    iPhone 4S (Black)
    xD You're living in the Past with XP. Anyways, get the Service Pack 3, just for safety reasons. You know, Viruses and stuff, things Mac people don't care about xD
  10. XxRedRumxX

    XxRedRumxX Well-Known Member

    Joined:
    Dec 18, 2009
    Messages:
    6,666
    Likes Received:
    1,079
    Device:
    Samsung Galaxy Nexus
    like me

    Please Register or Log in to view images

Share This Page